"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.IssuerAlternativeNameExtension = void 0;
const asn1_x509_1 = require("@peculiar/asn1-x509");
const x509_1 = require("@peculiar/x509");
class IssuerAlternativeNameExtension extends x509_1.Extension {
    constructor(...args) {
        super(asn1_x509_1.id_ce_subjectAltName, args[1], new x509_1.GeneralNames(args[0] || []).rawData);
    }
    toTextObject() {
        const obj = this.toTextObjectWithoutValue();
        const namesObj = this.names.toTextObject();
        for (const key in namesObj) {
            obj[key] = namesObj[key];
        }
        return obj;
    }
}
exports.IssuerAlternativeNameExtension = IssuerAlternativeNameExtension;
IssuerAlternativeNameExtension.NAME = 'Issuer Alternative Name';
x509_1.ExtensionFactory.register(asn1_x509_1.id_ce_issuerAltName, IssuerAlternativeNameExtension);
//# sourceMappingURL=IssuerAlternativeNameExtension.js.map